/* DO NOT EDIT THIS FILE - it is machine generated */
#include <jni.h>
/* Header for class com_rick_ubc_test_Main */

#ifndef _Included_com_rick_ubc_test_Main
#define _Included_com_rick_ubc_test_Main
#ifdef __cplusplus
extern "C" {
#endif
/*
 * Class:     com_rick_ubc_test_Main
 * Method:    ubc_create
 * Signature: ()J
 */
JNIEXPORT jlong JNICALL Java_com_rick_ubc_1test_Main_ubc_1create
  (JNIEnv *, jclass);

/*
 * Class:     com_rick_ubc_test_Main
 * Method:    ubc_queueFile
 * Signature: (Ljava/lang/String;ZZ)I
 */
JNIEXPORT jint JNICALL Java_com_rick_ubc_1test_Main_ubc_1queueFile
  (JNIEnv *, jclass, jstring, jboolean, jboolean);

/*
 * Class:     com_rick_ubc_test_Main
 * Method:    ubc_queueReference
 * Signature: (JJIIZZZZZLjava/lang/String;IIIJJ)I
 */
JNIEXPORT jint JNICALL Java_com_rick_ubc_1test_Main_ubc_1queueReference
  (JNIEnv *, jclass, jlong, jlong, jint, jint, jboolean, jboolean, jboolean, jboolean, jboolean, jstring, jint, jint, jint, jlong, jlong);

/*
 * Class:     com_rick_ubc_test_Main
 * Method:    ubc_addDataBlocks
 * Signature: (J[J)J
 */
JNIEXPORT jlong JNICALL Java_com_rick_ubc_1test_Main_ubc_1addDataBlocks
  (JNIEnv *, jclass, jlong, jlongArray);

/*
 * Class:     com_rick_ubc_test_Main
 * Method:    ubc_addCodeBlocks
 * Signature: (J[J)J
 */
JNIEXPORT jlong JNICALL Java_com_rick_ubc_1test_Main_ubc_1addCodeBlocks
  (JNIEnv *, jclass, jlong, jlongArray);

/*
 * Class:     com_rick_ubc_test_Main
 * Method:    ubc_addCodeOrDataBlock
 * Signature: (JJJJZZZLjava/lang/String;III)J
 */
JNIEXPORT jlong JNICALL Java_com_rick_ubc_1test_Main_ubc_1addCodeOrDataBlock
  (JNIEnv *, jclass, jlong, jlong, jlong, jlong, jboolean, jboolean, jboolean, jstring, jint, jint, jint);

/*
 * Class:     com_rick_ubc_test_Main
 * Method:    ubc_addBuildDate
 * Signature: (JLjava/lang/String;Ljava/lang/String;IJ)J
 */
JNIEXPORT jlong JNICALL Java_com_rick_ubc_1test_Main_ubc_1addBuildDate
  (JNIEnv *, jclass, jlong, jstring, jstring, jint, jlong);

/*
 * Class:     com_rick_ubc_test_Main
 * Method:    ubc_addIsaOs
 * Signature: (JLjava/lang/String;Ljava/lang/String;JJ)J
 */
JNIEXPORT jlong JNICALL Java_com_rick_ubc_1test_Main_ubc_1addIsaOs
  (JNIEnv *, jclass, jlong, jstring, jstring, jlong, jlong);

/*
 * Class:     com_rick_ubc_test_Main
 * Method:    ubc_addData
 * Signature: (JLjava/lang/String;)J
 */
JNIEXPORT jlong JNICALL Java_com_rick_ubc_1test_Main_ubc_1addData
  (JNIEnv *, jclass, jlong, jstring);

/*
 * Class:     com_rick_ubc_test_Main
 * Method:    ubc_addCode
 * Signature: (JLjava/lang/String;)J
 */
JNIEXPORT jlong JNICALL Java_com_rick_ubc_1test_Main_ubc_1addCode
  (JNIEnv *, jclass, jlong, jstring);

/*
 * Class:     com_rick_ubc_test_Main
 * Method:    ubc_addReference
 * Signature: (JJ[I)J
 */
JNIEXPORT jlong JNICALL Java_com_rick_ubc_1test_Main_ubc_1addReference
  (JNIEnv *, jclass, jlong, jlong, jintArray);

/*
 * Class:     com_rick_ubc_test_Main
 * Method:    ubc_publish
 * Signature: (JLjava/lang/String;)J
 */
JNIEXPORT jlong JNICALL Java_com_rick_ubc_1test_Main_ubc_1publish
  (JNIEnv *, jclass, jlong, jstring);

/*
 * Class:     com_rick_ubc_test_Main
 * Method:    ubc_launch
 * Signature: (Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)J
 */
JNIEXPORT jlong JNICALL Java_com_rick_ubc_1test_Main_ubc_1launch
  (JNIEnv *, jclass, jstring, jstring, jstring);

#ifdef __cplusplus
}
#endif
#endif
